/*
This is a part of the Connected LiteStep module source code.
Copyright (C) 2001 Erik Christiansson, aka Sci
http://www.alfafish.com/
erik@alfafish.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef __CONNECTED_H
#define __CONNECTED_H

#define WIN32_LEAN_AND_MEAN

#pragma	warning(disable: 4786) // STL naming warnings

#include <windows.h>
#include <wininet.h>
#include <stdlib.h>
#include <string.h>
#include "../lsapi/lsapi.h"
#include "../lsapi/lswinbase.h"

class Connected : public Window
{
private:
	BOOL bConnected;
	char szOnConnect[MAX_LINE_LENGTH];
	char szOnDisconnect[MAX_LINE_LENGTH];

public:
	Connected(HWND parentWnd, int& code);
	~Connected();
	void bangConnected(LPCSTR szConnected, LPCSTR szDisconnected);

private:
	virtual void windowProc(Message& message);
	void onCreate(Message& message);
	void onEndSession(Message& message);
	void onGetRevId(Message& message);
	void onSysCommand(Message& message);
	void onDestroy(Message& message);
	void onTimer(Message& message);

	BOOL isConnected();
};

extern "C" {
	void bangConnected(HWND caller, LPCSTR args);
	__declspec( dllexport ) int initModuleEx(HWND parent, HINSTANCE dll, LPCSTR szPath);
	__declspec( dllexport ) void quitModule(HINSTANCE dllInst);
}

#endif //__CONNECTED_H
